<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template match="/">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

			<!-- defines page layout -->
			<fo:layout-master-set>
				<fo:simple-page-master master-name="simple" size="landscape" page-width="27.9cm" page-height="21cm" margin-top="0.5cm" margin-bottom="0.5cm" margin-left="0.5cm" margin-right="0.5cm">
					<fo:region-before extent="8cm"/>
					<fo:region-body margin-top="7.8cm" margin-bottom="1cm"/>
				</fo:simple-page-master>
			</fo:layout-master-set>


			<!-- defines the content -->
			<fo:page-sequence master-reference="simple">
				<fo:static-content flow-name="xsl-region-before">
					<!-- embeded table -->
					<fo:table font-size="7.5pt">
						<fo:table-column column-width="1.6cm" />
						<fo:table-column column-width="7.3cm" />
						<fo:table-column column-width="0.7cm" />
						<fo:table-column column-width="1.9cm" />						
						<fo:table-column column-width="9.3cm" />						
						<fo:table-column column-width="1.5cm" />						
						<fo:table-column column-width="1.6cm" />
						
						<fo:table-body>
							<fo:table-row >						
								<fo:table-cell number-columns-spanned="2" border-top="0.3pt solid black" padding="5pt">
									<fo:block text-align="center" font-weight="bold">
									RECORDS TRANSMITTAL AND RECEIPT
									</fo:block>
								</fo:table-cell>

								<fo:table-cell number-columns-spanned="3" border-top="0.3pt solid black" border-right="0.3pt solid black" font-size="6.5pt" padding="3pt">
									<fo:block>
									Complete and send original and two copies of this form to the appropriate Records Center for approval prior to shipment of records. See specific instructions on reverse.
									</fo:block>
								</fo:table-cell>
								
								<fo:table-cell border-top="0.3pt solid black" border-right="0.3pt solid black" padding="3pt">
									<fo:block>
									PAGE
									</fo:block>
									<fo:block text-align="center">
										<fo:page-number/>
									</fo:block>
								</fo:table-cell>
								
								<fo:table-cell border-top="0.3pt solid black" padding="3pt">
									<fo:block>
									OF	
									</fo:block>
									<fo:block text-align="center">
									<fo:page-number-citation ref-id="terminator"/> PAGES
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
							<fo:table-row>
								<fo:table-cell number-columns-spanned="4" border-top="0.3pt solid black" border-right="0.3pt solid black" padding="3pt">
									<fo:block>
									1.TO
									<fo:inline font-style="italic">(complet the address fo the records center serving your area as shown in AAAAAA nnnn.nn)</fo:inline>
									</fo:block>
									<fo:block font-weight="bold" space-after="30pt" text-align="center">
									Records Center
									</fo:block>
								</fo:table-cell>
								
								<fo:table-cell number-columns-spanned="3" number-rows-spanned="4" border-top="0.3pt solid black" padding="3pt">
									<fo:block>
									5. FROM
									<fo:inline font-style="italic">
									(Enter the name and complet to mailing address of the office refering the records. The signed receipt of this form will be sent to this address)
									</fo:inline>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
							<fo:table-row>
								<fo:table-cell border-top="0.3pt solid black" border-right="0.3pt solid black" padding="3pt">
									<fo:block wrap-option="wrap">
									2. AGENCY TRANSFER AUTHOR-
									</fo:block>
									<fo:block>
									IZATION
									</fo:block>
								</fo:table-cell>
								<fo:table-cell number-columns-spanned="2" border-top="0.3pt solid black" border-right="0.3pt solid black" padding="3pt">
									<fo:block>
									TRANSFERRING AGENCY OFFICIAL
									<fo:inline font-style="italic">
									(Signature and title)
									</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell border-top="0.3pt solid black" border-right="0.3pt solid black" padding="3pt">
									<fo:block>
									DATE
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
							<fo:table-row>
								<fo:table-cell border-top="0.3pt solid black" border-right="0.3pt solid black" padding="3pt">
									<fo:block>
									3. AGENCY CONTACT
									</fo:block>
								</fo:table-cell>
								<fo:table-cell number-columns-spanned="3" border-top="0.3pt solid black" border-right="0.3pt solid black" padding="3pt">
									<fo:block>
									TRANSFERRING AGENCY LIASON OFFICAL
									<fo:inline font-style="italic">
									(Name,office and telephone No.)
									</fo:inline>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>

							<fo:table-row>
								<fo:table-cell border-top="0.3pt solid black" border-right="0.3pt solid black" padding="3pt">
									<fo:block>
									4. RECORDS CENTER RECEIPT
									</fo:block>
								</fo:table-cell>
								<fo:table-cell number-columns-spanned="2" border-top="0.3pt solid black" border-right="0.3pt solid black" padding="3pt">
									<fo:block>
									RECORDS RECEIVED BY
									<fo:inline font-style="italic">
									(Signature and title)
									</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell border-top="0.3pt solid black" border-right="0.3pt solid black" padding="3pt">
									<fo:block>
									DATE
									</fo:block>
								</fo:table-cell>
							</fo:table-row>

							<fo:table-row>
								<fo:table-cell  border-top="0.3pt solid black" padding="3pt">
									<fo:block>
									6.
									</fo:block>
								</fo:table-cell>
								<fo:table-cell number-columns-spanned="6" border-top="0.3pt solid black" padding="3pt">
									<fo:block text-align="center" font-weight="bold">
									RECORDS DATA
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
						</fo:table-body>	
					</fo:table>
					<!-- embeded table -->	 	 	 				
				
				</fo:static-content>



				<fo:flow flow-name="xsl-region-body">
					<fo:table border-top="0.3pt solid black" border-bottom="0.3pt solid black" font-size="7.5pt">
	 <!-- (d) -->		<fo:table-column column-width="3cm" />
	 <!-- (e) -->		<fo:table-column column-width="4.2cm" />
	 <!-- (f) -->		<fo:table-column column-width="10cm" />	 
	 <!-- (h) -->		<fo:table-column column-width="5cm" />	 	 	 
	 <!-- (i) -->		<fo:table-column column-width="1.7cm" />	 
	 	 	 			
	 	 	 			<fo:table-header>

	 	 	 				<fo:table-row text-align="center">
	 	 	 					<fo:table-cell border-right="0.3pt solid black" border-bottom="0.3pt solid black" padding="3pt">
	 	 	 						<fo:block>
	 	 	 							FILES ID
	 	 	 						</fo:block>
	 	 	 						<fo:block>
	 	 	 							(d)
	 	 	 						</fo:block>
	 	 	 					</fo:table-cell>

	 	 	 					<fo:table-cell border-left="0.3pt solid black" border-right="0.3pt solid black" border-bottom="0.3pt solid black" padding="3pt">
	 	 	 						<fo:block>
	 	 	 							FILES
	 	 	 						</fo:block>
	 	 	 						<fo:block>
	 	 	 							NAME
	 	 	 						</fo:block>
	 	 	 						<fo:block>
	 	 	 							(e)
	 	 	 						</fo:block>
	 	 	 					</fo:table-cell>


	 	 	 					<fo:table-cell border-left="0.3pt solid black" border-right="0.3pt solid black" border-bottom="0.3pt solid black" padding="3pt">
	 	 	 						<fo:block>
	 	 	 							FILES DESCRIPTION
	 	 	 						</fo:block>
	 	 	 						<fo:block>
	 	 	 							(With inclusive dates of reccords)
	 	 	 						</fo:block>
	 	 	 						<fo:block>
	 	 	 							(f)
	 	 	 						</fo:block>
	 	 	 					</fo:table-cell>

	 	 	 					<fo:table-cell border-left="0.3pt solid black" border-right="0.3pt solid black" border-bottom="0.3pt solid black" padding="3pt">
	 	 	 						<fo:block >
	 	 	 							DISPOSAL AUTHORITY
	 	 	 						</fo:block>
	 	 	 						<fo:block>
	 	 	 							(Schedule and
	 	 	 						</fo:block>
	 	 	 						<fo:block>
	 	 	 							item number)
	 	 	 						</fo:block>
	 	 	 						<fo:block>
	 	 	 							(h)
	 	 	 						</fo:block>
	 	 	 					</fo:table-cell>

	 	 	 					<fo:table-cell border-left="0.3pt solid black" border-bottom="0.3pt solid black" padding="3pt">
	 	 	 						<fo:block >
	 	 	 							DISPOSAL
	 	 	 						</fo:block>
	 	 	 						<fo:block>
	 	 	 							DATE
	 	 	 						</fo:block>
	 	 	 						<fo:block>
	 	 	 							(i)
	 	 	 						</fo:block>
	 	 	 					</fo:table-cell>

	 	 	 				</fo:table-row>
	 	 	 				
	 	 	 				<fo:table-row>
	 	 	 				
	 	 	 				</fo:table-row>
	 	 	 			</fo:table-header>
	 	 	 			
						<fo:table-body>
							<xsl:for-each select="//Data/List/Item">

									<!-- Component Name  -->
									<fo:table-row>
										<!-- (d) -->
										<fo:table-cell border-right="0.3pt solid black" padding="2pt">
											<fo:block text-align="start">
												<xsl:value-of select="@TS_FlPlnCmpnt.FlPlnCmpntID" />
											</fo:block>
										</fo:table-cell>
										<!-- (e) -->
										<fo:table-cell border-right="0.3pt solid black" padding="2pt">
											<fo:block text-align="start">
												<xsl:value-of select="@TS_FlPlnCmpnt.FlPlnCmpntNm" />
											</fo:block>
										</fo:table-cell>
										<!-- (f) -->
										<fo:table-cell border-right="0.3pt solid black" padding="2pt">
											<fo:block text-align="start" padding="2pt">
												<xsl:value-of select="@TS_FlPlnCmpnt.FlPlnCmpntTtl" />
											</fo:block>
										</fo:table-cell>

										<!-- (h) -->
										<fo:table-cell border-right="0.3pt solid black" padding="2pt">
											<fo:block text-align="start">
												<xsl:value-of select="@TS_DsplAthrty.DsplAthrtyCd" />
											</fo:block>
										</fo:table-cell>
										<!-- (i) -->
										<fo:table-cell padding="2pt">
											<fo:block text-align="start">
												<xsl:value-of select="@TS_FlPlnCmpnt.FlPlnCmpntDspDt" />
											</fo:block>
										</fo:table-cell>

									</fo:table-row>

							</xsl:for-each>
						</fo:table-body>
					</fo:table>
					<fo:block id="terminator"/>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>

</xsl:stylesheet>